> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a package and its latest release



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/hub/packages/{owner}/{name}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/hub/packages/{owner}/{name}:
    get:
      tags:
        - Hub
      summary: Get a package and its latest release
      operationId: hub_get_package
      parameters:
        - name: owner
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
            description: Owning user or team slug
            title: Owner
          description: Owning user or team slug
        - name: name
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
            description: Package name
            title: Name
          description: Package name
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PackageDetail'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
          description: Too Many Requests
      security:
        - HTTPBearer: []
components:
  schemas:
    PackageDetail:
      properties:
        id:
          type: string
          title: Id
        owner:
          $ref: '#/components/schemas/PackageOwner'
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        license:
          anyOf:
            - type: string
            - type: 'null'
          title: License
        tags:
          items:
            type: string
          type: array
          title: Tags
        visibility:
          type: string
          enum:
            - public
            - private
          title: Visibility
        is_hidden:
          type: boolean
          title: Is Hidden
        is_featured:
          type: boolean
          title: Is Featured
        framework:
          type: string
          enum:
            - v0
            - v1
            - unknown
          title: Framework
          description: The value `framework=` filters on, kept in step with pushes
        bookmark_count:
          type: integer
          title: Bookmark Count
        install_count:
          type: integer
          title: Install Count
        latest:
          anyOf:
            - $ref: '#/components/schemas/ReleaseSummary'
            - type: 'null'
          description: >-
            The highest stable release, else the highest pre-release, else the
            newest upload; null before the first
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        release_count:
          type: integer
          title: Release Count
        allow_sandbox_access:
          type: boolean
          title: Allow Sandbox Access
        allow_instances_access:
          type: boolean
          title: Allow Instances Access
        allow_tunnel_access:
          type: boolean
          title: Allow Tunnel Access
        forked_from:
          anyOf:
            - $ref: '#/components/schemas/ForkParent'
            - type: 'null'
          description: Null if not a fork, or if you can't read the original
        has_write_access:
          type: boolean
          title: Has Write Access
          description: Whether you can change this package
      type: object
      required:
        - id
        - owner
        - name
        - description
        - license
        - tags
        - visibility
        - is_hidden
        - is_featured
        - framework
        - bookmark_count
        - install_count
        - latest
        - created_at
        - updated_at
        - release_count
        - allow_sandbox_access
        - allow_instances_access
        - allow_tunnel_access
        - forked_from
        - has_write_access
      title: PackageDetail
    ErrorEnvelope:
      properties:
        error:
          $ref: '#/components/schemas/ErrorBody'
      type: object
      required:
        - error
      title: ErrorEnvelope
    PackageOwner:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        kind:
          type: string
          enum:
            - user
            - team
          title: Kind
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
          description: Null for an owner who never picked a slug
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
          description: Avatar, or the logo of a team
      type: object
      required:
        - kind
        - slug
      title: PackageOwner
    ReleaseSummary:
      properties:
        id:
          type: string
          title: Id
          description: 'The release id: the id of its source artifact'
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
          description: Semantic version; null for releases pushed without one
        display_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Version
          description: '`version`, or failing that the version in the upload''s metadata'
        content_hash:
          type: string
          title: Content Hash
        framework:
          type: string
          enum:
            - v0
            - v1
            - unknown
          title: Framework
          description: The verifiers API the release targets
        created_at:
          type: string
          format: date-time
          title: Created At
        source:
          $ref: '#/components/schemas/ReleaseArtifact'
        wheel:
          anyOf:
            - $ref: '#/components/schemas/ReleaseArtifact'
            - type: 'null'
          description: Null for a release with no uploaded wheel, such as most forks
        index_status:
          anyOf:
            - type: string
              enum:
                - processing
                - completed
                - failed
            - type: 'null'
          title: Index Status
          description: State of the file index; null if indexing never started
        pushed_by:
          anyOf:
            - $ref: '#/components/schemas/Pusher'
            - type: 'null'
        refs:
          items:
            type: string
          type: array
          title: Refs
          description: Refs pointing here. `latest` is computed, not the stored ref
      type: object
      required:
        - id
        - version
        - display_version
        - content_hash
        - framework
        - created_at
        - source
        - wheel
        - index_status
        - pushed_by
        - refs
      title: ReleaseSummary
    ForkParent:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        owner:
          $ref: '#/components/schemas/PackageOwner'
      type: object
      required:
        - id
        - name
        - owner
      title: ForkParent
    ErrorBody:
      properties:
        code:
          type: string
          title: Code
          description: Stable, machine-readable error code
        message:
          type: string
          title: Message
        details:
          type: object
          title: Details
      type: object
      required:
        - code
        - message
      title: ErrorBody
    ReleaseArtifact:
      properties:
        filename:
          type: string
          title: Filename
        sha256:
          type: string
          title: Sha256
      type: object
      required:
        - filename
        - sha256
      title: ReleaseArtifact
    Pusher:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
      type: object
      required:
        - id
        - name
        - slug
        - image
      title: Pusher
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.